<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:fo="http://www.w3.org/1999/XSL/Format"
    version="1.0">
    <xsl:include href="genGoogleChart.xsl"/>

    <xsl:template match="charts">
        <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
            <fo:layout-master-set>
                <fo:simple-page-master margin-top="0pt" margin-left="0pt" margin-bottom="0pt"
                    margin-right="0pt" page-width="612pt" page-height="792pt" master-name="first">
                    <fo:region-body margin-top="0pt"/>
                    <fo:region-before extent="0pt"/>
                    <fo:region-after extent="0pt"/>
                </fo:simple-page-master>
            </fo:layout-master-set>
            <fo:page-sequence master-reference="first">
                <fo:flow flow-name="xsl-region-body">
                    <xsl:apply-templates/>
                </fo:flow>
            </fo:page-sequence>
        </fo:root>
    </xsl:template>

    <xsl:template match="chart[@type='pc']">
            <xsl:variable name="url">
                <xsl:call-template name="build.static-pie">
                    <xsl:with-param name="type" select="@type" />
                    <xsl:with-param name="colors" select="@colors" />
                    <xsl:with-param name="width" select="@width" />
                    <xsl:with-param name="height" select="@height" />
                    <xsl:with-param name="orientation" select="@orientation"/>
                    <xsl:with-param name="data" select="outside/slices/slice/value"/>
                    <xsl:with-param name="datainside" select="inside/slices/slice/value"/>
                    <xsl:with-param name="labels" select="outside/slices/slice/label"/>
                    <xsl:with-param name="labelsinside" select="inside/slices/slice/label"></xsl:with-param>
                </xsl:call-template>
            </xsl:variable>

        <fo:block margin-left="0pt" margin-top="18pt" line-height="0pt" text-align="center">
            <fo:external-graphic src="url({$url})" />
        </fo:block>

    </xsl:template>
    
    <xsl:template match="chart">
        <xsl:variable name="url">
            <xsl:call-template name="build.static-pie">
                <xsl:with-param name="type" select="@type" />
                <xsl:with-param name="colors" select="@colors" />
                <xsl:with-param name="width" select="@width" />
                <xsl:with-param name="height" select="@height" />
                <xsl:with-param name="orientation" select="@orientation"/>
                <xsl:with-param name="labels" select="slices/slice/label"/>
                <xsl:with-param name="data" select="slices/slice/value"/>
            </xsl:call-template>
        </xsl:variable>
        
        <fo:block margin-left="0pt" margin-top="0pt" line-height="0pt" text-align="center">
            <fo:external-graphic src="url({$url})" />
        </fo:block>
        
    </xsl:template>
    
    <xsl:template match="pin">
        <xsl:variable name="url">
            <xsl:call-template name="build.static-pin_letter">
                <xsl:with-param name="letter" select="@letter"/>
                <xsl:with-param name="pin-color" select="@pin-color"/>
                <xsl:with-param name="text-color" select="@text-color"/>
            </xsl:call-template>
        </xsl:variable>
        <fo:block background-image="url('http://www.google.com/chart?chst=d_map_pin_shadow')" background-repeat="no-repeat">
            <fo:external-graphic src="url({$url})" />
        </fo:block>
    </xsl:template>
    
    <xsl:template match="line">
        <fo:block-container margin-left="3in">
            <xsl:apply-templates/>
        </fo:block-container>
    </xsl:template>

    <xsl:template match="sticky">
        <xsl:variable name="url">
            <xsl:call-template name="build.static-sticky">
                <xsl:with-param name="notetype" select="@notetype"/>
                <xsl:with-param name="notesize" select="@size"/>
                <xsl:with-param name="text-color" select="@color"/>
                <xsl:with-param name="text-align" select="@align"/>
                <xsl:with-param name="title" select="title"/>
                <xsl:with-param name="line1" select="line1"/>
                <xsl:with-param name="line2" select="line2"/>
            </xsl:call-template>
        </xsl:variable>
        <fo:block>
            <fo:external-graphic src="url({$url})" />
        </fo:block>
    </xsl:template>
    
    <xsl:template match="outline">
        <xsl:variable name="url">
            <xsl:call-template name="build.static-outlinetext">
                <xsl:with-param name="font-size" select="@font-size"/>
                <xsl:with-param name="font-style" select="@font-style"/>
                <xsl:with-param name="outline-color" select="@outline-color"/>
                <xsl:with-param name="text-align" select="@text-align"/>
                <xsl:with-param name="text-color" select="@text-color"/>
                <xsl:with-param name="line" select="line"/>
            </xsl:call-template>
        </xsl:variable>
        <fo:block space-before="12pt">
            <fo:external-graphic src="url({$url})" />
        </fo:block>
    </xsl:template>
</xsl:stylesheet>
